      program aestorm1000
C extract AE >= 1000 nt from AEstorms
C..............................................................Mar 2023
C
	CHARACTER*26 INFILE
	CHARACTER*25 OUTFILE
      CHARACTER*10 DD1,DDM,DD2
C
      INFILE='AEsstorm3.txt'
	OUTFILE='AEstorm1000.txt'
	OPEN(11,FILE=INFILE,action='READ')
	OPEN(10,FILE=OUTFILE)
C
  170	FORMAT(1X,I4,1X,A10,I3,2X,A10,I3,1X,F6.0,2X,A10,I3,1X,I4)
C
      ncnt=0
    1	read(11,170,end=3) icnt,DD1,IIT1,DDM,IIUTMIN,AAMIN,DD2,IIT2,IIUTT
      IF (AAMIN.ge.1000.) THEN
	ncnt=ncnt+1
 	WRITE(*,170) ncnt,DD1,IIT1,DDM,IIUTMIN,AAMIN,DD2,IIT2,IIUTT
 	WRITE(10,170) ncnt,DD1,IIT1,DDM,IIUTMIN,AAMIN,DD2,IIT2,IIUTT
	ENDIF
	goto 1
   3	close(11)
	close(10)
	pause ' '
	STOP
	END